XSNotationDeclaration Class Reference
Inheritance diagram for XSNotationDeclaration:

## Public Member Functions

Constructors
| XSNotationDeclaration (XMLNotationDecl *const xmlNotationDecl, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSNotationDeclaration ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
XSNotationDeclaration methods
const XMLCh * | getSystemId ()
| The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise. More...
const XMLCh * | getPublicId ()
| The string representing the public identifier for this notation declaration, if present; `null` otherwise. More...
XSAnnotation * | getAnnotation () const
| Optional. More...
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Attributes

XMLNotationDecl * | fXMLNotationDecl
XSAnnotation * | fAnnotation
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## XSNotationDeclaration()

XSNotationDeclaration::XSNotationDeclaration | ( | XMLNotationDecl *const | xmlNotationDecl,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  xmlNotationDecl |
  annot |
  xsModel |
  manager | The configurable memory manager

## ~XSNotationDeclaration()

XSNotationDeclaration::~XSNotationDeclaration | ( |  | ) |

## Member Function Documentation

## getAnnotation()

XSAnnotation * XSNotationDeclaration::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References XERCES_CPP_NAMESPACE_END.

## getName()

const XMLCh* XSNotationDeclaration::getName | ( |  | ) | const

virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

## getNamespace()

const XMLCh* XSNotationDeclaration::getNamespace | ( |  | ) | const

virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

## getNamespaceItem()

XSNamespaceItem* XSNotationDeclaration::getNamespaceItem | ( |  | ) |

virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

## getPublicId()

const XMLCh* XSNotationDeclaration::getPublicId | ( |  | ) |

The string representing the public identifier for this notation declaration, if present; `null` otherwise.

## getSystemId()

const XMLCh* XSNotationDeclaration::getSystemId | ( |  | ) |

The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

## Member Data Documentation

## fAnnotation

XSAnnotation* XSNotationDeclaration::fAnnotation

protected

## fXMLNotationDecl

XMLNotationDecl* XSNotationDeclaration::fXMLNotationDecl

protected

The documentation for this class was generated from the following file:

- XSNotationDeclaration.hpp